RERA Verifcation
Overview
The Signzy RERA verification API enables verification of RERA status for projects and agents across multiple states through an API based structure.
Problem
Lenders, Risk teams need to confirm that a property project is legitimately registered with the relevant state Real Estate Regulatory Authority (RERA) in India, and that its registration details (number, promoter, status, validity dates, phases, litigation, etc.) are accurate and up to date before sanctioning a loan
Solution
The RERA verification API will help lenders verify the property details against the state RERA database in a quick manner.
Curls
curl --location 'https://api-preproduction.signzy.app/api/v3/propertyintelligence/reraverification' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
"registrationNumber": "",
"registrationType": "",
"stateName": ""
}'Request Body Data Points
Key | Format | Description | |
|---|---|---|---|
registrationNumber | String | Enter Rera registration number | Required |
registrationType | String | Registration Type | Required |
stateName | String | Enter State | Required |
stateName can have following values:
- uttar_pradesh
- west_bengal
- madhya_pradesh
- chhattisgarh
- delhi
- karnataka
- Uttarakhand
Response Body Data Points
Signzy Output | Format |
|---|---|
clientId | String |
registrationNumber | String |
registrationType | String |
stateName | String |
| Array of Objects |
agentName | String |
promoterName | String |
certificateNumber | String |
projectName | String |
certificateUrl | String |
projectAddress | String |
projectId | String |
projectDistrict | String |
registeredWith | String |
approvedDate | String |
expiryDate | String |
district | String |
category | String |
certificateIssuingDate | String |
completionDate | String |
registrationDate | String |
agentId | String |
proprietorName | String |
contactNumber | String |
agentEmail | String |
address | String |
status | String |
applicationNumber | String |
lastModified | String |
authorisedName | String |
tehsil | String |
extendedExpiryDate | String |
applicationDate | String |
promoterEmail | String |
promoterNumber | String |